io.netty.handler.codec.mqtt

## Class MqttProperties.StringPair

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttProperties.StringPair

Enclosing class:
  MqttProperties

    public static final class MqttProperties.StringPair
    extends Object

### Field Summary

Fields
`String` `key`
`String` `value`

### Constructor Summary

Constructors
Constructor and Description
`StringPair(String key, String value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### key

    public final String key

#### value

    public final String value

### Constructor Detail

#### StringPair

    public StringPair(String key,
                      String value)

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`